/*
 * @Author: chenjianyu
 * @Date: 2020-09-12 17:00:44
 * @LastEditTime: 2021-03-01 17:25:37
 * @LastEditors: yuananting
 * @Description: 答题模式模板
 * @Copyright © 2020 杭州杰竞科技有限公司 版权所有
 */

export function defineModuleData(index) {
  return {
    questionInfoVOList: [], // 题目内容
    taskModuleContentVOList: [], // 模块说明内容
    taskModuleInfoVO: {
      key: window.random_string(16),
      name: `题目模块${index}`,
    }
  }
}

export function defineQuestionData(questionType) {
  return {
    taskModuleQuestionVO: { // 题目信息
      key: window.random_string(16),
      questionType, // 题目类型
      itemTypeEnum: 'RIGHT_OR_WRONG',
      questionLevel: 0,
      questionTypeEnum: questionType,
      // score: 1, // 本题分值
    },
    itemInfoVOList: [], // 选项
    topicDescribeVOList: [{
      content: '',
      type: 'TEXT',
      contentType: 'TEXT'
    }], // 题干
    parsingDescribeVOList: [{
      content: '',
      type: 'TEXT',
      contentType: 'TEXT'
    }], // 答案解析
    lowerLevelQuestionInfoVOList: [],
    showBox: true,
  }
}

export function defineOptionData(content = '') {
  return {
    itemContentVOList: [{
      content,
      type: 'TEXT',
      contentType: 'TEXT'
    }], // 题目项内容
    questionItemVO: { // 题目项信息
      ifCorrectAnswerItem: false,
      key: window.random_string(16),
    }
  }
}